# Dynamic Host Control Protocol (DHCP)
Address allocation can happen trough 2 ways.

Fixed allocation:
 - Wasteful because if a hosts is not active the IP Address is still allocated.

Dynamic allocation:
- A DHCP server manages the allocation of IP Addresses and leases them for a certain amount of time.

Dynamic allocation works like this:
1. A host broadcasts a request for an IP Address.
2. A DHCP server replies with a offer for an IP Address.
3. The host replies accepting the offer.
4. Server confirms the allocation of the IP Address.