# IPv6
**IPv4 has several problems:**
- Scarce IPv4 address.
- IPv4 header contains fields that are not used by every packet (should be optional)
- IPv4 imposes extra processes on routers, the network can become slower (such as fragmentation and checksum calculations)
- IPv4 does not provide any security measurement at network layer.

**IPv6 Format:**
![[IPV6-format.png]]

Most of the mandatory fields of IPv4 header and some of IPv4 options are available trough IPv6 options. (Linked by next header)

IPv6 provides encryption and authentication features.
Routers are not allowed to perform fragmentation.
NO Checksum calculations, error checking is already implemented in both data link layer and transport layer.

